<?php

namespace App\Domains\Sale\Requests;

use App\Domains\Shared\Rules\ValidTimezone;

class AdminAppSalePdfRequest extends AdminAppSaleIndexRequest
{
    /** @return array<string, list<string>> */
    public function rules(): array
    {
        return [
            ...parent::rules(),
            'timezone' => ['required', 'string', new ValidTimezone],
        ];
    }
}
